Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.spi
Class DirStateFactory.Result

    java.lang.Object
      |
      +--javax.naming.spi.DirStateFactory.Result

Enclosing class:
  DirStateFactory

public static class DirStateFactory.Result
extends Object

An object/attributes pair for returning the result of DirStateFactory.getStateToBind().

Constructor Summary
`DirStateFactory.Result(Object obj, Attributes outAttrs)` Constructs an instance of Result.

Method Summary
`Attributes` | `getAttributes()` Retrieves the attributes to be bound.
`Object` | `getObject()` Retrieves the object to be bound.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirStateFactory.Result

    public DirStateFactory.Result(Object obj,
                                  Attributes outAttrs)

  Constructs an instance of Result.

Parameters:
  `obj` - The possibly null object to be bound.
  `outAttrs` - The possibly null attributes to be bound.

Method Detail

### getObject

    public Object getObject()

  Retrieves the object to be bound.

  Returns:
    The possibly null object to be bound.

### getAttributes

    public Attributes getAttributes()

  Retrieves the attributes to be bound.

  Returns:
    The possibly null attributes to be bound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.